<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
  <head>
    <meta charset="utf-8"/>

    <title>SGP - Signin</title>

    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"/>

    <!-- Custom styles for this template -->
    <link href="#" th:href="@{/css/style.css}" rel="stylesheet" />
    
 	<link href="#" th:href="@{/css/contacts.css}" rel="stylesheet" />
 	
  </head>

  <body>
	
	<div class="container">
	
		<h1>USERS</h1>
		<br/>
		<div class="panel panel-default">
			<div class="panel-heading"></div>
			<table class="table">
				<thead>
					<tr>
						<th>Dni</th>
						<th>First Name</th>
						<th>Last Name</th>
						<th>Address</th>
						<th>BrithDate</th>
						<th>Age</th>
						<th>Gender</th>
						<th>Email</th>
						<th>Phone Number</th>
						
					</tr>
				</thead>
				<tbody>
					<tr th:each="user : ${users}">
						<td th:text="${user.dni}"></td>
						<td th:text="${user.firstname}"></td>
						<td th:text="${user.lastname}"></td>
						<td th:text="${user.address}"></td>
						<td th:text="${user.birthdate}"></td>
						<td th:text="${user.age}"></td>
						<td th:text="${user.gender}"></td>
						<td th:text="${user.email}"></td>
						<td th:text="${user.phonenumber}"></td>
						<td>
							<button type="button" class="btn btn-default"><span class="glyphicon glyphicon-pencil" aria-hidden="true"></span></button>
							<a href="#" th:href="@{/users/removeuser?dni=__${user.dni}__}">							
								<button type="button" class="btn btn-danger"><span class="glyphicon glyphicon-trash" aria-hidden="true"></span></button>
							</a>
						</td>
					</tr>					
				</tbody>
			</table>
		</div>
		
		<div th:if="${result == 1}" class="alert alert-success" role="alert">Added succssesfully!</div>
		<div th:if="${result == 0}" class="alert alert-danger" role="alert">Error adding user!</div>
		
		<a href="#" th:href="@{/users/userform}">
			<button class="btn btn-lg btn-primary btn-block" type="submit"><span class="glyphicon glyphicon-user" aria-hidden="true"></span> Add user</button>
		</a>
		<a href="#" th:href="@{/login?logout}">
			<button class="btn btn-lg btn-primary btn-block" type="submit"><span class="glyphicon glyphicon-log-out" aria-hidden="true"></span> Logout</button>
		</a>
	
	</div>


</body>
</html>